> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chartbrew.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List connections

> Get all connections for a team or a project



## OpenAPI

````yaml GET /team/{team_id}/connections
openapi: 3.0.1
info:
  title: Chartbrew API reference
  description: The OpenAPI specification for Chartbrew
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.chartbrew.com
security:
  - bearerAuth: []
paths:
  /team/{team_id}/connections:
    get:
      description: Get all connections for a team
      parameters:
        - name: team_id
          in: path
          description: ID of the team
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Array of connections
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConnectionResponse'
        '400':
          description: Error response
        '403':
          description: Access denied
      security:
        - bearerAuth: []
components:
  schemas:
    ConnectionResponse:
      type: object
      properties:
        id:
          type: integer
        team_id:
          type: integer
        project_ids:
          type: array
          items:
            type: string
        oauth_id:
          type: string
          format: uuid
        name:
          type: string
        type:
          type: string
          enum:
            - mongodb
            - api
            - mysql
            - postgres
            - realtimedb
            - firestore
            - googleAnalytics
            - customerio
        subType:
          type: string
          enum:
            - timescaledb
            - supabasedb
            - rdsPostgres
            - rdsMysql
        active:
          type: boolean
          default: true
        ssl:
          type: boolean
          default: false
        sslMode:
          type: string
          default: require
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````